\section{Excercise 1}
\subsection{Design a many-valued logic with truth values
at least $\mathfrak{t}, \mathfrak{f}, \mathfrak{u}$}
I tried to create thruth tables for logic with truth values
$\mathfrak{t}$, $\mathfrak{f}$ and $\mathfrak{u}$
(\textit{uncertain}) but ended up with $K_3$.
To make it more interesting, my logic will instead have four values:
$\mathfrak{t}, \mathfrak{f}, \mathfrak{u}
(\textit{uncertain}), \mathfrak{in} (\textit{indefinite})$.

\subsubsection{Specify the set $\mathfrak{T}$ of truth values
and $\mathfrak{D}$ of designated truth values}
$\mathcal{T} = \{\mathfrak{t}, \mathfrak{f},
\mathfrak{u}, \mathfrak{in}\}$\\
$\mathcal{D} = \{\mathfrak{t}\}$

\subsubsection{Show how can the values from worlds in
$\mathcal{W}$ be mapped to $\mathcal{T}$ and
$\mathcal{D}$}
Values from worlds $\mathcal{W}$ can be mapped as follows:
\begin{equation}
    v(p, w) =  \begin{cases}
        \mathfrak{f} \ \ \ \text{ if } w(p) = 0 \\
        \mathfrak{t} \ \ \ \text{ if } w(p) = 1 \\
        \mathfrak{u} \ \ \ \text{ if } 0 < w(p) < 1 \\
        \mathfrak{in} \ \ \ \text{ if } \lnot \exists_{x \in \mathbb{R}} w(p) = x \\
    \end{cases}
\end{equation}
(note the assumption that worlds from $\mathcal{W}$ can be partial functions).

\subsubsection{Provide truth values for $\lnot, \land, \lor, \rightarrow$}
\begin{figure}[H]
    \begin{tabular}{|c|cccc|}
        \hline
        & $\mathfrak{t}$ & $\mathfrak{f}$ & $\mathfrak{u}$ & $\mathfrak{in}$ \\
        \hline
        $\lnot$ & $\mathfrak{f}$ & $\mathfrak{t}$ & $\mathfrak{u}$ & $\mathfrak{in}$ \\
        \hline
    \end{tabular}
    \begin{tabular}{|c|cccc|}
        \hline
        $\land$ & $\mathfrak{t}$ & $\mathfrak{f}$ & $\mathfrak{u}$ & $\mathfrak{in}$ \\
        \hline
        $\mathfrak{t}$ & $\mathfrak{t}$ & $\mathfrak{f}$ & $\mathfrak{u}$ & $\mathfrak{in}$ \\
        $\mathfrak{f}$ & $\mathfrak{f}$ & $\mathfrak{f}$ & $\mathfrak{f}$ & $\mathfrak{in}$ \\
        $\mathfrak{u}$ & $\mathfrak{u}$ & $\mathfrak{f}$ & $\mathfrak{u}$ & $\mathfrak{in}$ \\
        $\mathfrak{in}$ & $\mathfrak{in}$ & $\mathfrak{in}$ & $\mathfrak{in}$ & $\mathfrak{in}$ \\
        \hline
    \end{tabular}
    \begin{tabular}{|c|cccc|}
        \hline
        $\lor$ & $\mathfrak{t}$ & $\mathfrak{f}$ & $\mathfrak{u}$ & $\mathfrak{in}$ \\
        \hline
        $\mathfrak{t}$ & $\mathfrak{t}$ & $\mathfrak{t}$ & $\mathfrak{t}$ & $\mathfrak{t}$ \\
        $\mathfrak{f}$ & $\mathfrak{t}$ & $\mathfrak{f}$ & $\mathfrak{u}$ & $\mathfrak{in}$ \\
        $\mathfrak{u}$ & $\mathfrak{t}$ & $\mathfrak{u}$ & $\mathfrak{u}$ & $\mathfrak{u}$ \\
        $\mathfrak{in}$ & $\mathfrak{t}$ & $\mathfrak{in}$ & $\mathfrak{u}$ & $\mathfrak{in}$ \\
        \hline
    \end{tabular}
    \begin{tabular}{|c|cccc|}
        \hline
        $\rightarrow$ & $\mathfrak{t}$ & $\mathfrak{f}$ & $\mathfrak{u}$ & $\mathfrak{in}$ \\
        \hline
        $\mathfrak{t}$ & $\mathfrak{t}$ & $\mathfrak{f}$ & $\mathfrak{u}$ & $\mathfrak{in}$ \\
        $\mathfrak{f}$ & $\mathfrak{t}$ & $\mathfrak{t}$ & $\mathfrak{t}$ & $\mathfrak{t}$ \\
        $\mathfrak{u}$ & $\mathfrak{t}$ & $\mathfrak{u}$ & $\mathfrak{u}$ & $\mathfrak{u}$ \\
        $\mathfrak{in}$ & $\mathfrak{t}$ & $\mathfrak{in}$ & $\mathfrak{in}$ & $\mathfrak{in}$ \\
        \hline
    \end{tabular}
    \centering
\end{figure}

\subsection{Provide signed tableaux for your logic}
\subsubsection{Negation}
\begin{forest}
  [$\mathfrak{t}: \lnot A$
    [$\mathfrak{f}: A$]
  ]
\end{forest}
\begin{forest}
    [$\mathfrak{f}: \lnot A$
      [$\mathfrak{t}: A$]
    ]
\end{forest}
\begin{forest}
[$\mathfrak{u}: \lnot A$
    [$\mathfrak{u}: A$]
]
\end{forest}
\begin{forest}
    [$\mathfrak{in}: \lnot A$
      [$\mathfrak{in}: A$]
    ]
\end{forest}

\subsubsection{Conjunction}
\begin{forest}
    [$\mathfrak{t}: A \land B$
      [{$\mathfrak{t}: A$, $\mathfrak{t}: B$}]
    ]
\end{forest}
\begin{forest}
    [$\mathfrak{f}: A \land B$
      [{$\mathfrak{f}: A$, $\mathfrak{f}: B$}]
      [{$\mathfrak{f}: A$, $\mathfrak{t}: B$}]
      [{$\mathfrak{f}: A$, $\mathfrak{u}: B$}]
      [{$\mathfrak{t}: A$, $\mathfrak{f}: B$}]
      [{$\mathfrak{u}: A$, $\mathfrak{f}: B$}]
    ]
\end{forest}
\begin{forest}
    [$\mathfrak{u}: A \land B$
      [{$\mathfrak{u}: A$, $\mathfrak{t}: B$}]
      [{$\mathfrak{t}: A$, $\mathfrak{u}: B$}]
      [{$\mathfrak{u}: A$, $\mathfrak{u}: B$}]
    ]
\end{forest}\\
\begin{forest}
    [$\mathfrak{in}: A \land B$
      [{$\mathfrak{in}: A$}]
      [{$\mathfrak{in}: B$}]
    ]
\end{forest}

\subsubsection{Disjunction}
\begin{forest}
    [$\mathfrak{t}: A \lor B$
      [{$\mathfrak{t}: A$}]
      [{$\mathfrak{t}: B$}]
    ]
\end{forest}
\begin{forest}
    [$\mathfrak{f}: A \lor B$
      [{$\mathfrak{f}: A$, $\mathfrak{f}: B$}]
    ]
\end{forest}
\begin{forest}
    [$\mathfrak{u}: A \lor B$
      [{$\mathfrak{u}: A$, $\mathfrak{u}: B$}]
      [{$\mathfrak{u}: A$, $\mathfrak{f}: B$}]
      [{$\mathfrak{u}: A$, $\mathfrak{in}: B$}]
      [{$\mathfrak{f}: A$, $\mathfrak{u}: B$}]
      [{$\mathfrak{in}: A$, $\mathfrak{u}: B$}]
    ]
\end{forest}\\
\begin{forest}
    [$\mathfrak{in}: A \lor B$
      [{$\mathfrak{in}: A$, $\mathfrak{in}: B$}]
      [{$\mathfrak{f}: A$, $\mathfrak{in}: B$}]
      [{$\mathfrak{in}: A$, $\mathfrak{f}: B$}]
    ]
\end{forest}

\subsubsection{Implication}
\begin{forest}
    [$\mathfrak{t}: A \rightarrow B$
      [{$\mathfrak{t}: B$}]
      [{$\mathfrak{f}: A$}]
    ]
\end{forest}
\begin{forest}
    [$\mathfrak{f}: A \rightarrow B$
      [{$\mathfrak{t}: A, \mathfrak{f}: B$}]
    ]
\end{forest}
\begin{forest}
    [$\mathfrak{u}: A \rightarrow B$
      [{$\mathfrak{t}: A, \mathfrak{u}: B$}]
      [{$\mathfrak{u}: A, \mathfrak{u}: B$}]
      [{$\mathfrak{u}: A, \mathfrak{f}: B$}]
      [{$\mathfrak{u}: A, \mathfrak{in}: B$}]
    ]
\end{forest}\\
\begin{forest}
    [$\mathfrak{in}: A \rightarrow B$
      [{$\mathfrak{t}: A, \mathfrak{in}: B$}]
      [{$\mathfrak{in}: A, \mathfrak{in}: B$}]
      [{$\mathfrak{in}: A, \mathfrak{f}: B$}]
      [{$\mathfrak{in}: A, \mathfrak{u}: B$}]
    ]
\end{forest}

\subsection{Use the tableaux rules to prove a tautology  and to disprove
an invalid formula of your choice. If there are no tautologies, please explain
why.}
There are no tautologies. Notice that all operators in this logic, when
supplied with only $\mathfrak{in}$ arguments, output $\mathfrak{in}$. Therefore
for each formula, there exists such a valuation, that the formula truth value
is $\mathfrak{in}$.

\subsection{Interpretation}
What is a real-world application of such logic? Imagine a recommendation system
for movies. Worlds are interpreted as users and propositional variables as
moves. $w(m) = 0$ if the user watched a movie and disliked it. $w(m) = 1$ if
the user watched the movie and liked it. $0 < w(m) < 1$ if the user hasn't 
watched a movie, but the recommender system has some probability estimation
whether the user will like the movie or not. $w(m)$ is undefined if the
recommender system has no prediction whether the user will like the movie
(for instance the movie is new and has not enough ratings yet).